Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Stefan Kangas <[email-masked]>
Date: Tue, 24 Oct 2023 13:22:03 -0700

Stefan Monnier <[email-masked]> writes:

> That makes the patch completely useless.  There's already an opt-in
> solution (via `auto-insert`), so I'd oppose this patch if it's OFF by
> default since it's just added complexity.

Indeed.  I also can't see any downsides to making it non-optional.

I think we should mainly ask ourselves if this feature will help users.
In my opinion, the answer is clearly yes, in almost all cases.  For the
rest, a very small minority indeed, the patch provides a user option.